CMSIS-Driver: NAND Events

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
NAND Events
NAND Interface

The NAND driver generates call back events that are notified via the function ARM_NAND_SignalEvent. More...

## Macros

#define | ARM_NAND_EVENT_DEVICE_READY (1UL << 0)
| Device Ready: R/Bn rising edge. More...
#define | ARM_NAND_EVENT_DRIVER_READY (1UL << 1)
| Driver Ready. More...
#define | ARM_NAND_EVENT_DRIVER_DONE (1UL << 2)
| Driver operation done. More...
#define | ARM_NAND_EVENT_ECC_ERROR (1UL << 3)
| ECC could not correct data. More...

## Description

The NAND driver generates call back events that are notified via the function ARM_NAND_SignalEvent.

This section provides the event values for the ARM_NAND_SignalEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_NAND_EVENT_DEVICE_READY (1UL << 0)

Device Ready: R/Bn rising edge.

#define ARM_NAND_EVENT_DRIVER_READY (1UL << 1)

Driver Ready.

#define ARM_NAND_EVENT_DRIVER_DONE (1UL << 2)

Driver operation done.

#define ARM_NAND_EVENT_ECC_ERROR (1UL << 3)

ECC could not correct data.